> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document version oversight settings



## OpenAPI

````yaml get /v1/documents/settings/{id}/version-oversight
openapi: 3.0.0
info:
  title: Document APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/document
  - url: https://staging.api.eu.aptlydone.com/document
  - url: https://api.us.aptlydone.com/document
  - url: https://api.eu.aptlydone.com/document
security: []
tags: []
paths:
  /v1/documents/settings/{id}/version-oversight:
    get:
      tags:
        - documents
      summary: Get document version oversight settings
      operationId: DocumentController_getSettingsDocumentById_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Document details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentSettingsResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    DocumentSettingsResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:12:23.874Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/DocumentSettingsResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    DocumentSettingsResponseDto:
      type: object
      properties:
        documentOversightSettings:
          description: Document oversight settings
          allOf:
            - $ref: '#/components/schemas/DocumentOversightSettings'
        documentVersionTypeInfo:
          description: Document versioning settings
          type: array
          items:
            $ref: '#/components/schemas/DocumentversioningTypeSettings'
        oversightActionAssociation:
          description: Document Association with Actions
          type: array
          items:
            $ref: '#/components/schemas/DocumentOversightActionAssociatonDTO'
      required:
        - documentOversightSettings
        - documentVersionTypeInfo
    DocumentOversightSettings:
      type: object
      properties:
        documentId:
          type: string
          description: Document ID associated with the detailed document
          example: 550e8400-e29b-41d4-a716-446655440100
        tenantId:
          type: string
          description: Tenant ID associated with the detailed document
          example: 550e8400-e29b-41d4-a716-446655440100
        owner:
          type: boolean
          description: get owner
          example: 'true'
        responsibleAuthority:
          type: boolean
          description: get responsibleAuthority
          example: 'true'
        approvalAuthority:
          type: boolean
          description: get approvalAuthority
          example: 'true'
        generateApprovalAction:
          type: boolean
          description: get generateApprovalAction
          example: 'true'
        reviewerAuthority:
          type: boolean
          description: get reviewerAuthority
          example: 'true'
        generateReviewAction:
          type: boolean
          description: get reviewerAuthority
          example: 'true'
      required:
        - documentId
        - tenantId
        - owner
        - responsibleAuthority
        - approvalAuthority
        - generateApprovalAction
        - reviewerAuthority
        - generateReviewAction
    DocumentversioningTypeSettings:
      type: object
      properties:
        documentId:
          type: string
          description: Document ID associated with the detailed document
          example: 550e8400-e29b-41d4-a716-446655440100
        documentVersionTypeId:
          type: string
          description: dcoument TypeId
          example: 550e8400-e29b-41d4-a716-446655440100
        documentVersionTypeValue:
          type: string
          description: Document Type Value
          example: Version
      required:
        - documentId
        - documentVersionTypeId
        - documentVersionTypeValue
    DocumentOversightActionAssociatonDTO:
      type: object
      properties:
        isApprovalActionExist:
          type: boolean
          description: Document has active approval actions
          example: true/false
        isReviewerActionExist:
          type: boolean
          description: Document has active reviewer actions
          example: true/false
      required:
        - isApprovalActionExist
        - isReviewerActionExist
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````